! #+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#
! #|  Generate potential of mean force                               |#
! #+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#

   program pmf 

   use pmf_parm, only: dyn_type, debug, Lchk_data_slices 

   implicit none

!  +---------------------------------------------------------------+
!  |  Read PMF inputs                                              |
!  +---------------------------------------------------------------+

   call pmf_input

   if( Lchk_data_slices ) call chk_data_slices

   call io_evb 

   if( debug ) call out_evbdata

   select case( trim( adjustl(dyn_type) ) )

      case( "evb_map", "pimd_evb_map" ) 

         call awarshel 

      case( "egap_umb", "dbonds_umb", "pimd_egap_umb", "pimd_dbonds_umb" ) 

         call wham 

   end select

   print *, 'COMPLETED PMF CALCULATION'

!  x+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++x
!  x+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++x

   end program pmf

