! #+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#
! #|  XXXXXX                                                         |#
! #+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#

   subroutine warshel_pmf 

   implicit none


   !  +---------------------------------------------------------------+

      INTEGER MLAMBDA, NUMBIN

      REAL*8 PMF_WARSHEL(NUMBIN,MLAMBDA), POBF(NUMBIN,MLAMBDA)
     &     , DTE0(NUMBIN,MLAMBDA)

      REAL*8 BETA, SFACTOR



   beta_inv = 1.0d0 / beta

!  +---------------------------------------------------------------+
!  |  Compute PMF_WARSHEL                                          |
!  +---------------------------------------------------------------+

   pmf_warshel(:,:) = 0.0d0 


   do j = 1, mlambdA

      do n = 1, num_bin

         if( pobf(n,j) * dte0(n,j) > 0.0d0 ) then 

            pmf_warshel(n,j) =  - dlog( pobf(n,j) * dte0(n,j) ) &
                                   * beta_inv * sfactor

         endif 

      enddo

   enddo

!  x+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++x
!  x+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++x


   end subroutine warshel_pmf

