! #+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#
! #|  Check allocation status and output error message               |#
! #+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#

   subroutine chk_alloc ( alloc_error, alloc_lbl ) 

   implicit none

   integer, intent(in) :: alloc_error

   character, intent(in) :: alloc_lbl*72


!  +---------------------------------------------------------------+
!  |  Check for allocation error                                   |
!  +---------------------------------------------------------------+

   if( alloc_error /= 0 ) then
      write(6,'(A)') 'ERROR: allocation problem for '// &
                   trim( adjustl( alloc_lbl ) )
      stop 6
   endif

!  +---------------------------------------------------------------+
!  +---------------------------------------------------------------+

   end subroutine chk_alloc


