! #+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#
! #|  Check io status and output error message                       |#
! #+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#+#

   subroutine chk_ios ( ios, iolbl, fname ) 

   implicit none

   integer, intent(in) :: ios

   character, intent(in) :: iolbl*72, fname*512


!  +---------------------------------------------------------------+
!  |  Check for read errors                                        |
!  +---------------------------------------------------------------+

   if( ios == 1 ) then   ! error during read
      print *, 'Error encountered while reading ' &
             , ' data block ', trim( adjustl( iolbl ) ) &
             , ' in file ',  trim( adjustl( fname ) )
      stop 6
   endif

!  +---------------------------------------------------------------+
!  +---------------------------------------------------------------+

   end subroutine chk_ios


